package com.rwk.system.service;

import java.util.List;
import com.rwk.system.domain.RwkFamilyMember;

/**
 * 家庭成员Service接口
 * 
 * @author rick
 * @date 2024-11-06
 */
public interface IRwkFamilyMemberService 
{
    /**
     * 查询家庭成员
     * 
     * @param id 家庭成员主键
     * @return 家庭成员
     */
    public RwkFamilyMember selectRwkFamilyMemberById(Long id);

    /**
     * 查询家庭成员列表
     * 
     * @param rwkFamilyMember 家庭成员
     * @return 家庭成员集合
     */
    public List<RwkFamilyMember> selectRwkFamilyMemberList(RwkFamilyMember rwkFamilyMember);

    /**
     * 新增家庭成员
     * 
     * @param rwkFamilyMember 家庭成员
     * @return 结果
     */
    public int insertRwkFamilyMember(RwkFamilyMember rwkFamilyMember);

    /**
     * 修改家庭成员
     * 
     * @param rwkFamilyMember 家庭成员
     * @return 结果
     */
    public int updateRwkFamilyMember(RwkFamilyMember rwkFamilyMember);

    /**
     * 批量删除家庭成员
     * 
     * @param ids 需要删除的家庭成员主键集合
     * @return 结果
     */
    public int deleteRwkFamilyMemberByIds(String ids);

    /**
     * 删除家庭成员信息
     * 
     * @param id 家庭成员主键
     * @return 结果
     */
    public int deleteRwkFamilyMemberById(Long id);
}
